package com.hdkj.lt.mq.mapper.base;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hdkj.lt.core.bizms.modle.po.FeederTopo;
import com.hdkj.lt.modle.dto.simulation.FeederCheckRule;
import com.hdkj.lt.modle.dto.simulation.PlanTransferSchemeDTO;
import com.hdkj.lt.mq.entity.dto.BreakerInfo;
import com.hdkj.lt.mq.entity.dto.DeviceTypeDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface FeederTopoMapper extends BaseMapper<FeederTopo> {

    List<DeviceTypeDto> getDeviceType(List<String> psrIds);

    void deleteDistLineSwitchSectionByLineId(String feeder);

    void saveDistLineSwitchSection(String feeder, List<String> kgPsrType, List<String> pbPsrType);

    List<FeederCheckRule> getFeederCheckRule(@Param("lineId") String lineId);

    FeederTopo getFeederInfoById(@Param("lineId")String e);

    List<String> getCityShortListByIds(List<String> psrIds);

    void updateDisableLlkgConfig();

    void deleteDisableLlkgConfig();

    void insertDisableLlkgConfig();

    List<BreakerInfo> getSwitchInfoByPsrID(@Param("psrId") String psrId);
}
